Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ru
Class RussianAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.ru.RussianAnalyzer

All Implemented Interfaces:
  Closeable

    public final class RussianAnalyzer

extends org.apache.lucene.analysis.StopwordAnalyzerBase

`Analyzer` for Russian language.

Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

You must specify the required `Version` compatibility when creating RussianAnalyzer:

- As of 3.1, StandardTokenizer is used, Snowball stemming is done with SnowballFilter, and Snowball stopwords are used by default.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String` | `DEFAULT_STOPWORD_FILE` File containing default Russian stopwords.

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`RussianAnalyzer(org.apache.lucene.util.Version matchVersion)`
`RussianAnalyzer(org.apache.lucene.util.Version matchVersion, Map<?,?> stopwords)` Deprecated. use `RussianAnalyzer(Version, Set)` instead
`RussianAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords)` Builds an analyzer with the given stop words
`RussianAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords, Set<?> stemExclusionSet)` Builds an analyzer with the given stop words
`RussianAnalyzer(org.apache.lucene.util.Version matchVersion, String... stopwords)` Deprecated. use `RussianAnalyzer(Version, Set)` instead

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static Set<?>` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Russian stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### RussianAnalyzer

    public RussianAnalyzer(org.apache.lucene.util.Version matchVersion)

### RussianAnalyzer

    @Deprecated
    public RussianAnalyzer(org.apache.lucene.util.Version matchVersion,
                                      String... stopwords)

  Deprecated. use `RussianAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

### RussianAnalyzer

    public RussianAnalyzer(org.apache.lucene.util.Version matchVersion,
                           Set<?> stopwords)

  Builds an analyzer with the given stop words

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set

### RussianAnalyzer

    public RussianAnalyzer(org.apache.lucene.util.Version matchVersion,
                           Set<?> stopwords,
                           Set<?> stemExclusionSet)

  Builds an analyzer with the given stop words

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclusionSet` - a set of words not to be stemmed

### RussianAnalyzer

    @Deprecated
    public RussianAnalyzer(org.apache.lucene.util.Version matchVersion,
                                      Map<?,?> stopwords)

  Deprecated. use `RussianAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words. TODO: create a Set version of this ctor

Method Detail

### getDefaultStopSet

    public static Set<?> getDefaultStopSet()

  Returns an unmodifiable instance of the default stop-words set.

  Returns:
    an unmodifiable instance of the default stop-words set.

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `StopFilter` , `KeywordMarkerFilter` if a stem exclusion set is provided, and `SnowballFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD